// ANCHOR: here
use std::env;
use std::process;

use minigrep::Config;

fn main() {
    // --fragment pominięty--
    // ANCHOR_END: here
    let args: Vec<String> = env::args().collect();

    let config = Config::build(&args).unwrap_or_else(|err| {
        println!("Problem z parsowaniem argumentów: {err}");
        process::exit(1);
    });

    println!("Wyszukiwanie {}", config.query);
    println!("W pliku {}", config.file_path);

    // ANCHOR: here
    if let Err(e) = minigrep::run(config) {
        // --fragment pominięty--
        // ANCHOR_END: here
        println!("Błąd aplikacji: {e}");
        process::exit(1);
        // ANCHOR: here
    }
}
// ANCHOR_END: here
